Subject: Re: [RFC PATCH v4 2/4] dpll: Add DPLL framework base functions

From: Jakub Kicinski <[email-masked]>
Date: Tue, 6 Dec 2022 09:27:05 -0800

On Tue, 6 Dec 2022 09:50:19 +0100 Jiri Pirko wrote:
>> Yeah, that's a slightly tricky one. We'd probably need some form 
>> of second order association. Easiest if we link it to a devlink
>> instance, I reckon. The OCP clock card does not have netdevs so we
>> can't follow the namespace of netdevs (which would be the second
>> option).  
> 
> Why do we need this association at all?

Someone someday may want netns delegation and if we don't have the
support from the start we may break backward compat introducing it.